Subject: Re: linux-next: manual merge of the tip tree with the pm tree

From: Ingo Molnar <[email-masked]>
Date: Fri, 16 May 2025 09:54:35 +0200

* Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   drivers/idle/intel_idle.c
> 
> between commit:
> 
>   6138f3451516 ("intel_idle: Add C1 demotion on/off sysfs knob")
> 
> from the pm tree and commit:
> 
>   968e30006807 ("x86/cpuid: Set <asm/cpuid/api.h> as the main CPUID header")
> 
> from the tip tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell
> 
> diff --cc drivers/idle/intel_idle.c
> index 3292bf74e3c2,433d858b7be1..000000000000
> --- a/drivers/idle/intel_idle.c
> +++ b/drivers/idle/intel_idle.c
> @@@ -52,8 -51,7 +52,8 @@@
>   #include <linux/notifier.h>
>   #include <linux/cpu.h>
>   #include <linux/moduleparam.h>
>  +#include <linux/sysfs.h>
> - #include <asm/cpuid.h>
> + #include <asm/cpuid/api.h>
>   #include <asm/cpu_device_id.h>
>   #include <asm/intel-family.h>
>   #include <asm/mwait.h>

So I don't think the <asm/cpuid.h> change is needed - the header still 
fully exists:

  starship:~/tip> ls -lh arch/x86/include/asm/cpuid/api.h arch/x86/include/asm/cpuid.h
  -rw-rw-r-- 1 mingo mingo 6.1K May 16 09:34 arch/x86/include/asm/cpuid/api.h
  -rw-rw-r-- 1 mingo mingo  149 May 16 09:34 arch/x86/include/asm/cpuid.h

And the <linux/sysfs.h> addition is probably a build fix for the PM 
tree? The <asm/cpuid.h> header's indirect header dependencies did not 
change. Should probably not be carried in -next, as this masks a build 
failure that will then trigger in Linus's tree?

(Unless I'm missing something that is.)

Thanks,

	Ingo